[GTK] Be able to disable gtk2 dependency
[WebKit-https.git] / Source / WebKit2 / UIProcess / Launcher / gtk / ProcessLauncherGtk.cpp
index eaf9ea2..362365c 100644 (file)
@@ -67,8 +67,10 @@ void ProcessLauncher::launchProcess()
         break;
     case PluginProcess:
         executablePath = executablePathOfPluginProcess();
+#if ENABLE(PLUGIN_PROCESS_GTK2)
         if (m_launchOptions.extraInitializationData.contains("requires-gtk2"))
             executablePath.append('2');
+#endif
         pluginPath = m_launchOptions.extraInitializationData.get("plugin-path");
         realPluginPath = fileSystemRepresentation(pluginPath);
         break;